<?php
/**
 * Class ShipmentTypes
 *
 * @package DhlPolska\Shipment
 */

namespace DhlPolska\Shipment;

/**
 * Shipment types dictionary.
 */
class ShipmentTypes {
	public const TYPE_ENVELOPE = 'ENVELOPE';
	public const TYPE_PACKAGE  = 'PACKAGE';
	public const TYPE_PALLET   = 'PALLET';

	/**
	 * @return array<string, string>
	 */
	public function get_type_labels(): array {
		return [
			self::TYPE_ENVELOPE => __( 'Koperta', 'dhl-polska' ),
			self::TYPE_PACKAGE  => __( 'Paczka', 'dhl-polska' ),
			self::TYPE_PALLET   => __( 'Paleta', 'dhl-polska' ),
		];
	}
}
